4 Replies Latest reply: Sep 14, 2012 6:34 AM by sameerp RSS

Downgrading from 8.1 >7.3.6P6

sameerp
Currently Being Moderated

Hi,

 

Am currently downgrading from 8.1 > 7.3.6P5 and have come across an annoying issue. I've removed all the snaps, broken all the SM relationships and disabled SIS, however when running the revert_to 7.3, it keeps complaining that i require a nearstore_option and SIS licnese for 7.3. However i cannot delete the current licenses (all it says is ENABLED) nor can i install a new license. Doing a version -b i can see the primary kernel is now 7.3.6P5 which is what i need.

 

/cfcard/x86_64/freebsd/image1/kernel: OS 8.1

/cfcard/x86_64/kernel/primary.krn: OS 7.3.6P5

/cfcard/x86_64/diag/diag.krn:  5.5.2

/cfcard/x86_64/firmware/excelsio/firmware.img: Firmware 1.9.0

/cfcard/x86_64/firmware/DrWho/firmware.img: Firmware 2.5.0

/cfcard/x86_64/firmware/SB_XV/firmware.img: Firmware 4.4.0

/cfcard/x86_64/firmware/SB_XVI/firmware.img: Firmware 5.1.1

/cfcard/x86_64/firmware/SB_XVIII/firmware.img: Firmware 7.1.2

/cfcard/x86_64/firmware/SB_XIX/firmware.img: Firmware 8.0.0

/cfcard/boot/loader: Loader 1.8

/cfcard/common/firmware/zdi/zdi_fw.zpk: Flash Cache Firmware 2.2 (Build 0x201012201350)

/cfcard/common/firmware/zdi/zdi_fw.zpk: PAM II Firmware 1.10 (Build 0x201012200653)

/cfcard/common/firmware/zdi/zdi_fw.zpk: X1936A FPGA Configuration PROM 1.0 (Build 0x200706131558)

 

Warning: Deduplication in Data ONTAP 7.3 requires a NearStore license.

After revert, all existing data will remain deduplicated. However, any new

deduplication will stop unless you add a NearStore license or upgrade to

Data ONTAP 8.0 or later.

Warning: Deduplication in Data ONTAP 7.3 requires a SIS license. After

revert, all existing data will remain deduplicated. However, any new

deduplication will stop unless you have a SIS (a_sis) license. Your

options are:

1. Continue to use the SIS license if you had one installed for Data

ONTAP 7.3.

2. Add a SIS license.

3. Upgrade to Data ONTAP 8.1 or later.

 

Has anyone else come across this before ... if so how can I fix this ...

  • Re: Downgrading from 8.1 >7.3.6P6
    aborzenkov
    Currently Being Moderated

    If you have A-SIS license, you can install it after revert as message suggests.

    • Re: Downgrading from 8.1 >7.3.6P6
      sameerp
      Currently Being Moderated

      hey sorry forgot to add the last lines to the errors, i'd be happy to install the licnese after however it keeps telling me to resolve the current issue than try running revert_to command again.

       

      Warning: Deduplication in Data ONTAP 7.3 requires a NearStore license.
      After revert, all existing data will remain deduplicated. However, any new
      deduplication will stop unless you add a NearStore license or upgrade to
      Data ONTAP 8.0 or later.
      Warning: Deduplication in Data ONTAP 7.3 requires a SIS license. After
      revert, all existing data will remain deduplicated. However, any new
      deduplication will stop unless you have a SIS (a_sis) license. Your
      options are:
      1. Continue to use the SIS license if you had one installed for Data
      ONTAP 7.3.
      2. Add a SIS license.
      3. Upgrade to Data ONTAP 8.1 or later.
      Please revert SIS metafiles on Volume gsvdcInfrastructure_backup to 7.3
      Please revert SIS metafiles on Volume gsvdcInfrastructure_backup_1 to 7.3
      Please revert SIS metafiles on Volume gsvdcTemplates_backup to 7.3
      Please revert SIS metafiles on Volume gsvdcInfrastructure_backup_2 to 7.3
      Please revert SIS metafiles on Volume gsvdcInfrastructure_backup_3 to 7.3
      Please revert SIS metafiles on Volume gsvdcInfrastructure_backup_4 to 7.3
      Please revert SIS metafiles on Volume gsvdcInfrastructure_backup_5 to 7.3
      Please revert SIS metafiles on Volume gsvdcInfrastructure_backup_6 to 7.3
      Please revert SIS metafiles on Volume gsvdcInfrastructure_backup_7 to 7.3
      Please revert SIS metafiles on Volume gsvdcInfrastructure_backup_8 to 7.3
      Please revert SIS metafiles on Volume gsvdcInfrastructure_backup_9 to 7.3
      Please revert SIS metafiles on Volume gsvdcInfrastructure_backup_10 to 7.3
      Please revert SIS metafiles on Volume APP07736_4044_backup to 7.3
      Please revert SIS metafiles on Volume gsvdcInfrastructure_backup_11 to 7.3
      Please revert SIS metafiles on Volume gsvdcInfrastructure_backup_12 to 7.3
      Please revert SIS metafiles on Volume gsvdcInfrastructure_backup_13 to 7.3
      Please revert SIS metafiles on Volume gsvdcInfrastructure_backup_14 to 7.3
      Please revert SIS metafiles on Volume gsvdcInfrastructure_backup_15 to 7.3
      Please revert SIS metafiles on Volume gsvdcInfrastructure_backup_16 to 7.3
      Please revert SIS metafiles on Volume gsvdcInfrastructure_backup_17 to 7.3
      Please revert SIS metafiles on Volume gsvdcInfrastructure_backup_18 to 7.3

      Please address the above conditions, then try "revert_to" again.

      • Re: Downgrading from 8.1 >7.3.6P6
        aborzenkov
        Currently Being Moderated

        See TR-3958:

         

         

        sis revert_to <7.3 </vol/volname>

         

        Converts the deduplication metafiles to appropriate lower Data ONTAP version formats, currently 7.3 or 8.0. When no volume name is provided, revert_to runs on all volumes with deduplication enabled.

         

        Did you use upgrade advisor to generate procedure? Also I strongly suggest you open case with NetApp support and ask them to provide action plan for revert. Especially if you have real data there.

More Like This

  • Retrieving data ...